package org.eclipse.stardust.embedded;

import java.io.File;

import org.eclipse.stardust.embedded.AbstractProcessContextTest;
import org.eclipse.stardust.engine.api.runtime.ActivityInstance;
import org.eclipse.stardust.engine.api.runtime.ProcessInstance;

public class SimpleTest extends AbstractProcessContextTest {

	@Override
	protected String getPassword() {
		return "motu";
	}

	@Override
	protected File getProcessModelFile() {
		return new File("src/test/resources/SimpleModel.xpdl");
	}

	@Override
	protected String getUsername() {
		return "motu";
	}

	public void testExecution() {
		ProcessInstance lPI = startProcess("SimpleProcess");
		
		ActivityInstance lAI = waitForProcessToReachActivity(lPI, "SimpleActivity");
		
		completeActivityInstance(lAI);
		
		waitForProcessToComplete(lPI);
	}
}
